package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.*;
import com.liquidnet.service.adam.dto.base.AdamResultDto;

import java.util.List;

/**
 * <p>
 * 公司账户激活 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-09-16
 */
public interface IAdamComActivateService {

    AdamResultDto<AdamComInfoDto> activeCompanyInformation(String temp, AdamComInfoParam param);

    AdamResultDto<AdamComInfoExtendDto> activebusinessQuestion(String temp, AdamComInfoExtendParam param);

    AdamResultDto<AdamComLegalPersonDto> activeLegalPerson(String temp, AdamComLegalPersonParam param);

    AdamResultDto<AdamComShareholderDto> activeShareholder(String temp, String comId, List<AdamComShareholderParam> list);

    AdamResultDto<AdamComInfoExtendDto> activeFinancialQuestion(String temp, AdamComInfoExtendParam param);

}
